## python-django-colorfield 0.4.1%2Bds1

=== requirements.txt ===
codecov
coverage
django
tox

## python-django-colorfield 0.3.2+ds1

=== debian/changelog ===
python-django-colorfield (0.3.2+ds1-1) unstable; urgency=medium

  * New upstream release.
  * Update team mailing list address.
  * Bump dh compat to 13.
  * Declare d/rules doesn't require root.

 -- Julien Puydt <jpuydt@debian.org>  Fri, 17 Jul 2020 08:36:23 +0200

python-django-colorfield (0.3.0+ds1-1) unstable; urgency=medium

  * Initial packaging (Closes: #962817.

 -- Julien Puydt <jpuydt@debian.org>  Wed, 15 Jul 2020 11:28:59 +0200

=== debian/control ===
Source: python-django-colorfield
Maintainer: Debian Python Modules Team <python-modules-team@alioth-lists.debian.net>
Uploaders: Julien Puydt <jpuydt@debian.org>
Section: python
Priority: optional
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: https://github.com/fabiocaccamo/django-colorfield
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3,
               python3-django,
               python3-setuptools,
               uglifyjs
Vcs-Git: https://salsa.debian.org/python-team/modules/python-django-colorfield.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/python-django-colorfield

Package: python3-django-colorfield
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}, python3-django
Description: Simple color fields for Django (Python 3)
 This module contains functions to provide color fields
 picker in Django applications.
 .
 This package installs the library for Python 3.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=django-colorfield

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_clean:
	rm -f colorfield/static/jscolor/jscolor.min.js

override_dh_auto_make:
	uglifyjs colorfield/static/jscolor/jscolor.js > colorfield/static/jscolor/jscolor.min.js

## python-django-colorfield 0.4.1+ds1

=== debian/changelog ===
python-django-colorfield (0.4.1+ds1-1) unstable; urgency=medium

  * New upstream release.
  * Bump standards-version to 4.5.1.

 -- Julien Puydt <jpuydt@debian.org>  Fri, 29 Jan 2021 08:38:11 +0100

python-django-colorfield (0.3.2+ds1-2) unstable; urgency=low

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Submit.

  [ Ondřej Nový ]
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Julien Puydt ]
  * Made a .html un-executable (and removed the useless lintian override).
  * Add a lintian override for an upstream oddity (repeated path segment).

 -- Julien Puydt <jpuydt@debian.org>  Wed, 14 Oct 2020 21:18:58 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Uploaders: Julien Puydt <jpuydt@debian.org>
 Section: python
 Priority: optional
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Homepage: https://github.com/fabiocaccamo/django-colorfield
 Build-Depends: debhelper-compat (= 13),
@@ -12,8 +12,8 @@
                python3-django,
                python3-setuptools,
                uglifyjs
-Vcs-Git: https://salsa.debian.org/python-team/modules/python-django-colorfield.git
-Vcs-Browser: https://salsa.debian.org/python-team/modules/python-django-colorfield
+Vcs-Git: https://salsa.debian.org/python-team/packages/python-django-colorfield.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/python-django-colorfield
 
 Package: python3-django-colorfield
 Architecture: all

=== debian/tests/control ===
Tests: upstreamtestsuite
Depends: @, python3-pytest

=== debian/watch ===
version=4
opts=repack,compression=xz,dversionmangle=s/\+ds[\d]//,repacksuffix=+ds1 \
https://github.com/fabiocaccamo/django-colorfield/releases .*/archive/(\d\S*)\.tar\.gz

## python-django-colorfield 0.6.3%2Bds1

=== requirements.txt ===
django >=1.7
Pillow >= 5.0

## python-django-colorfield 0.6.3+ds1

=== debian/changelog ===
python-django-colorfield (0.6.3+ds1-1) unstable; urgency=medium

  * New upstream release.

 -- Julien Puydt <jpuydt@debian.org>  Wed, 05 Jan 2022 19:02:51 +0100

python-django-colorfield (0.6.0+ds1-1) unstable; urgency=medium

  * New upstream release.

 -- Julien Puydt <jpuydt@debian.org>  Fri, 24 Dec 2021 17:32:20 +0100

python-django-colorfield (0.5.0+ds1-1) unstable; urgency=medium

  * New upstream release.

 -- Julien Puydt <jpuydt@debian.org>  Wed, 08 Dec 2021 12:11:21 +0100

python-django-colorfield (0.4.5+ds1-1) unstable; urgency=medium

  * New upstream release.

 -- Julien Puydt <jpuydt@debian.org>  Sun, 17 Oct 2021 06:55:13 +0200

python-django-colorfield (0.4.3+ds1-1) unstable; urgency=medium

  * New upstream release.

 -- Julien Puydt <jpuydt@debian.org>  Mon, 20 Sep 2021 12:00:18 +0200

python-django-colorfield (0.4.2+ds1-2) unstable; urgency=medium

  * debian/control
    - use proper team name and email address

 -- Sandro Tosi <morph@debian.org>  Tue, 31 Aug 2021 00:40:29 -0400

python-django-colorfield (0.4.2+ds1-1) unstable; urgency=medium

  * Fix d/watch.
  * Bump std-vers to 4.6.0.
  * New upstream release.

 -- Julien Puydt <jpuydt@debian.org>  Thu, 26 Aug 2021 15:06:28 +0200

=== debian/control ===
Source: python-django-colorfield
Maintainer: Debian Python Team <team+python@tracker.debian.org>,
Uploaders: Julien Puydt <jpuydt@debian.org>
Section: python
Priority: optional
Standards-Version: 4.6.0
Rules-Requires-Root: no
Homepage: https://github.com/fabiocaccamo/django-colorfield
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3,
               python3-django,
               python3-pil,
               python3-pip <!nocheck>,
               python3-setuptools,
               uglifyjs
Vcs-Git: https://salsa.debian.org/python-team/packages/python-django-colorfield.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-django-colorfield

Package: python3-django-colorfield
Architecture: all
Depends: python3-django, ${misc:Depends}, ${python3:Depends}
Description: Simple color fields for Django (Python 3)
 This module contains functions to provide color fields
 picker in Django applications.
 .
 This package installs the library for Python 3.

=== debian/rules ===
--- 
+++ 
@@ -10,3 +10,7 @@
 
 override_dh_auto_make:
 	uglifyjs colorfield/static/jscolor/jscolor.js > colorfield/static/jscolor/jscolor.min.js
+
+override_dh_auto_install:
+	dh_auto_install
+	find debian/ -type f -name "*.html" -exec chmod 644 \{\} \;

=== debian/tests/control ===
Tests: upstreamtestsuite
Depends: python3-pytest, @

=== debian/watch ===
version=4
opts=repack,compression=xz,dversionmangle=s/\+ds[\d]//,repacksuffix=+ds1 \
https://github.com/fabiocaccamo/django-colorfield/releases .*/(\d\S*)\.tar\.gz

## python-django-colorfield 0.7.2+ds1

=== debian/changelog ===
python-django-colorfield (0.7.2+ds1-1) unstable; urgency=medium

  * New upstream release.

 -- Julien Puydt <jpuydt@debian.org>  Sun, 24 Jul 2022 12:02:02 +0200

python-django-colorfield (0.7.1+ds1-1) unstable; urgency=medium

  * New upstream release.

 -- Julien Puydt <jpuydt@debian.org>  Sun, 12 Jun 2022 14:34:06 +0200

python-django-colorfield (0.7.0+ds1-2) unstable; urgency=medium

  * Fix running upstream test suite.

 -- Julien Puydt <jpuydt@debian.org>  Wed, 18 May 2022 20:25:15 +0200

python-django-colorfield (0.7.0+ds1-1) unstable; urgency=medium

  * New upstream release.
  * Bump standards-version to 4.6.1.

 -- Julien Puydt <jpuydt@debian.org>  Tue, 17 May 2022 22:12:10 +0200

## python-django-colorfield 0.8.0%2Bds1

=== requirements.txt ===
django >= 2.2
Pillow >= 9.0.0

=== debian/changelog ===
python-django-colorfield (0.8.0+ds1-1) unstable; urgency=medium

  * New upstream release.
  * Drop useless lintian override.

 -- Julien Puydt <jpuydt@debian.org>  Tue, 06 Dec 2022 10:53:48 +0100

python-django-colorfield (0.7.2+ds1-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Security-Contact.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 27 Nov 2022 15:37:54 +0000

python-django-colorfield (0.7.2+ds1-2) unstable; urgency=medium

  * Fix d/watch.

 -- Julien Puydt <jpuydt@debian.org>  Sun, 02 Oct 2022 22:00:25 +0200

## python-django-colorfield 0.8.0+ds1

=== debian/control ===
--- 
+++ 
@@ -3,13 +3,14 @@
 Uploaders: Julien Puydt <jpuydt@debian.org>
 Section: python
 Priority: optional
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Homepage: https://github.com/fabiocaccamo/django-colorfield
 Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3,
                python3-django,
+               python3-djangorestframework <!nocheck>,
                python3-pil,
                python3-pip <!nocheck>,
                python3-setuptools,

=== debian/rules ===
--- 
+++ 
@@ -14,3 +14,6 @@
 override_dh_auto_install:
 	dh_auto_install
 	find debian/ -type f -name "*.html" -exec chmod 644 \{\} \;
+
+override_dh_auto_test:
+	python3 runtests.py

## python-django-colorfield 0.9.0+ds1

=== debian/changelog ===
python-django-colorfield (0.9.0+ds1-1) unstable; urgency=medium

  * Bump standards-version to 4.6.2.
  * New upstream release.

 -- Julien Puydt <jpuydt@debian.org>  Tue, 20 Jun 2023 12:48:40 +0200

## python-django-colorfield 0.11.0%2Bds1

=== debian/changelog ===
python-django-colorfield (0.11.0+ds1-2) unstable; urgency=medium

  * Team Upload
  * Fix syntax error in Maintainer: field that confuses UDD & the Tracker
  * Use dh-sequence-python3
  * Bump Standards-Version to 4.7.2

 -- Alexandre Detiste <tchet@debian.org>  Sat, 02 Aug 2025 22:29:30 +0200

python-django-colorfield (0.11.0+ds1-1) unstable; urgency=medium

  * New upstream release.
  * Fix clean target (Closes #1048488).

 -- Julien Puydt <jpuydt@debian.org>  Tue, 12 Dec 2023 14:52:24 +0100

=== debian/rules ===
--- 
+++ 
@@ -3,10 +3,12 @@
 export PYBUILD_NAME=django-colorfield
 
 %:
-	dh $@ --with python3 --buildsystem=pybuild
+	dh $@ --buildsystem=pybuild
 
 override_dh_auto_clean:
 	rm -f colorfield/static/jscolor/jscolor.min.js
+	rm -rf colorfield/__pycache__/ tests/__pycache__/ .pybuild/
+	rm -rf django_colorfield.egg-info/
 
 override_dh_auto_make:
 	uglifyjs colorfield/static/jscolor/jscolor.js > colorfield/static/jscolor/jscolor.min.js

## python-django-colorfield 0.11.0+ds1

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Source: python-django-colorfield
-Maintainer: Debian Python Team <team+python@tracker.debian.org>,
-Uploaders: Julien Puydt <jpuydt@debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Uploaders: Julien Puydt <jpuydt@debian.org>,
 Section: python
 Priority: optional
-Standards-Version: 4.6.1
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://github.com/fabiocaccamo/django-colorfield
 Build-Depends: debhelper-compat (= 13),
-               dh-python,
+               dh-sequence-python3,
                python3,
                python3-django,
                python3-djangorestframework <!nocheck>,

=== debian/tests/control ===
Tests: upstreamtestsuite
Depends: python3-pytest, python3-djangorestframework, @

=== debian/watch ===
version=4
opts=repack,compression=xz,dversionmangle=s/\+ds[\d]//,repacksuffix=+ds1 \
https://github.com/fabiocaccamo/django-colorfield/tags .*/(\d\S*)\.tar\.gz
